CalryOTA Docs
Integration Account

Get channel settings for an integration account

Returns every workspace channel with effective integration-account settings and markup source.

GET
/api/v1/integration-account/{integrationAccountID}/channels

Authorization

x-calry-api-key
x-calry-api-key<token>

In: header

Path Parameters

integrationAccountID*string

Integration account ID

Header Parameters

x-calry-tenant-id?string

Optional tenant ID to specify which tenant to operate as. Controls access to integration accounts. If not provided, the default tenant will be used.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/integration-account/string/channels"
[
  {
    "channelID": "string",
    "name": "NUITEE",
    "enabled": true,
    "markupPercentage": 0,
    "markupSource": "WORKSPACE"
  }
]
{
  "timestamp": "2025-03-05T11:45:49.631Z",
  "path": "<URL_PATH>",
  "message": "Authentication failed",
  "details": []
}